Bug 2075568 - [abrt] gnome-shell: meta_wayland_pointer_get_pointer_client(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: meta_wayland_pointer_get_pointer_client(): gnome-shell ki...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 36
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e04d3d3f30076a5aacd9630504c...
: 2088882 2100735 2105321 2119115 2121367 2125652 2127201 2127646 2131012 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-14 15:07 UTC by Andrew Gunnerson
Modified: 2022-09-29 16:59 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
File: backtrace (279.38 KB, text/plain)
2022-04-14 15:07 UTC, Andrew Gunnerson
no flags Details
File: core_backtrace (101.83 KB, text/plain)
2022-04-14 15:07 UTC, Andrew Gunnerson
no flags Details
File: cpuinfo (2.62 KB, text/plain)
2022-04-14 15:07 UTC, Andrew Gunnerson
no flags Details
File: environ (1.26 KB, text/plain)
2022-04-14 15:07 UTC, Andrew Gunnerson
no flags Details
File: exploitable (82 bytes, text/plain)
2022-04-14 15:07 UTC, Andrew Gunnerson
no flags Details
File: limits (1.29 KB, text/plain)
2022-04-14 15:07 UTC, Andrew Gunnerson
no flags Details
File: maps (3.92 KB, text/plain)
2022-04-14 15:07 UTC, Andrew Gunnerson
no flags Details
File: mountinfo (3.17 KB, text/plain)
2022-04-14 15:07 UTC, Andrew Gunnerson
no flags Details
File: open_fds (14.54 KB, text/plain)
2022-04-14 15:07 UTC, Andrew Gunnerson
no flags Details
File: proc_pid_status (1.41 KB, text/plain)
2022-04-14 15:07 UTC, Andrew Gunnerson
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME mutter issues 2237 0 None opened gnome-shell (wayland) crash on resume in meta_wayland_pointer_get_pointer_client 2022-04-20 16:07:21 UTC

Description Andrew Gunnerson 2022-04-14 15:07:36 UTC
Description of problem:
Nothing (as far as I'm aware) was happening at the time of the crash. I locked the screen and some hours later, I closed the laptop so it went into S3 suspend. Today, when I opened the laptop, I got kicked back to GDM due to gnome-shell crashing.

Version-Release number of selected component:
gnome-shell-42.0-2.fc36

Additional info:
reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Extensions-0.scope
cmdline:        /usr/bin/gnome-shell
crash_function: meta_wayland_pointer_get_pointer_client
dso_list:       /usr/bin/gnome-shell gnome-shell-42.0-2.fc36.x86_64 (Fedora Project) 1648565461
executable:     /usr/bin/gnome-shell
journald_cursor: s=b381253f1414439894523e9f39c8955c;i=3993e;b=9668afb2f88c450ea14e75cb628f216a;m=67a94468e8;t=5dc8ee49bbe92;x=4baf526193048a00
kernel:         5.17.1-300.fc36.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 meta_wayland_pointer_get_pointer_client at ../src/wayland/meta-wayland-pointer.c:183
 #1 meta_wayland_pointer_gesture_pinch_create_new_resource at ../src/wayland/meta-wayland-pointer-gesture-pinch.c:157
 #2 gestures_get_pinch at ../src/wayland/meta-wayland-pointer-gestures.c:54
 #3 ffi_call_unix64 at ../src/x86/unix64.S:105
 #4 ffi_call_int at ../src/x86/ffi64.c:672
 #5 wl_closure_invoke at ../src/connection.c:1025
 #6 wl_client_connection_data at ../src/wayland-server.c:437
 #7 wl_event_loop_dispatch at ../src/event-loop.c:1027
 #8 wayland_event_source_dispatch at ../src/wayland/meta-wayland.c:104
 #11 g_main_context_iterate.constprop.0 at ../glib/gmain.c:4211

Comment 1 Andrew Gunnerson 2022-04-14 15:07:40 UTC
Created attachment 1872538 [details]
File: backtrace

Comment 2 Andrew Gunnerson 2022-04-14 15:07:42 UTC
Created attachment 1872539 [details]
File: core_backtrace

Comment 3 Andrew Gunnerson 2022-04-14 15:07:44 UTC
Created attachment 1872540 [details]
File: cpuinfo

Comment 4 Andrew Gunnerson 2022-04-14 15:07:45 UTC
Created attachment 1872541 [details]
File: environ

Comment 5 Andrew Gunnerson 2022-04-14 15:07:47 UTC
Created attachment 1872542 [details]
File: exploitable

Comment 6 Andrew Gunnerson 2022-04-14 15:07:48 UTC
Created attachment 1872543 [details]
File: limits

Comment 7 Andrew Gunnerson 2022-04-14 15:07:49 UTC
Created attachment 1872544 [details]
File: maps

Comment 8 Andrew Gunnerson 2022-04-14 15:07:51 UTC
Created attachment 1872545 [details]
File: mountinfo

Comment 9 Andrew Gunnerson 2022-04-14 15:07:52 UTC
Created attachment 1872546 [details]
File: open_fds

Comment 10 Andrew Gunnerson 2022-04-14 15:07:53 UTC
Created attachment 1872547 [details]
File: proc_pid_status

Comment 11 mouseless 2022-05-21 10:05:21 UTC
*** Bug 2088882 has been marked as a duplicate of this bug. ***

Comment 12 mouseless 2022-06-06 09:21:35 UTC
Similar problem has been detected:

Just put Gnome on sleep mode

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Cheese-0.scope
cmdline:        /usr/bin/gnome-shell
crash_function: meta_wayland_pointer_get_pointer_client
dso_list:       /usr/bin/gnome-shell gnome-shell-42.2-1.fc36.x86_64 (Fedora Project) 1654092076
executable:     /usr/bin/gnome-shell
journald_cursor: s=023abc8886fa4f93bccc37cb63f99a8c;i=23569b;b=8241710b4c164e428d04e4c5ec9e0344;m=101a68d5f8;t=5e0c34ec22826;x=645de7dac9cfdeb3
kernel:         5.17.11-300.fc36.x86_64
package:        gnome-shell-42.2-1.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Thiago dos Santos Hora 2022-06-24 06:19:26 UTC
*** Bug 2100735 has been marked as a duplicate of this bug. ***

Comment 14 mouseless 2022-06-24 16:41:12 UTC
Similar problem has been detected:

Just before puting my laptop to the sleep mode I changed the Performance from "Performance" to "Power saver". 
It crashed when it comes out of sleep mode.

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Nautilus-0.scope
cmdline:        /usr/bin/gnome-shell
crash_function: meta_wayland_pointer_get_pointer_client
dso_list:       /usr/bin/gnome-shell gnome-shell-42.2-1.fc36.x86_64 (Fedora Project) 1654092076
executable:     /usr/bin/gnome-shell
journald_cursor: s=023abc8886fa4f93bccc37cb63f99a8c;i=28d3dd;b=4c981c0d13ac46a3875a44347bd0f896;m=e324e9967;t=5e2303a86e43f;x=8338a5930094f246
kernel:         5.18.5-200.fc36.x86_64
package:        gnome-shell-42.2-1.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 mouseless 2022-07-07 09:17:47 UTC
Similar problem has been detected:

Just going out from Sleep mode

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Software-0.scope
cmdline:        /usr/bin/gnome-shell
crash_function: meta_wayland_pointer_get_pointer_client
dso_list:       /usr/bin/gnome-shell gnome-shell-42.2-1.fc36.x86_64 (Fedora Project) 1654092076
executable:     /usr/bin/gnome-shell
journald_cursor: s=4f221a5674b74d3e81436b4a69759d39;i=21322;b=cc6a145a783d49f5b8b4886ad4a52c60;m=45950fdc20;t=5e33184138bce;x=611004f1183fa811
kernel:         5.18.7-200.fc36.x86_64
package:        gnome-shell-42.2-1.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Thiago dos Santos Hora 2022-07-08 14:22:00 UTC
*** Bug 2105321 has been marked as a duplicate of this bug. ***

Comment 17 mouseless 2022-07-14 09:16:50 UTC
Similar problem has been detected:

Once again going out from suspend mode

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
cmdline:        /usr/bin/gnome-shell
crash_function: meta_wayland_pointer_get_pointer_client
executable:     /usr/bin/gnome-shell
journald_cursor: s=4f221a5674b74d3e81436b4a69759d39;i=6e6fd;b=4bab0d9ec4f343ab980299a71ff0f3d7;m=a8b99e30c;t=5e3bfcf47d4f7;x=a16516e28d04b877
kernel:         5.18.10-200.fc36.x86_64
package:        gnome-shell-42.3.1-1.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 jonas.prellberg+rhbz 2022-08-08 13:40:51 UTC
Similar problem has been detected:

Pressed Ctrl+Alt+F7, then the screen froze and after a while I was back at the login screen. I tried to repeat it and this time the system froze completely and I had to restart it.

reporter:       libreport-2.17.1
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/session.slice/org.gnome.Shell
cmdline:        /usr/bin/gnome-shell
crash_function: meta_wayland_pointer_get_pointer_client
executable:     /usr/bin/gnome-shell
journald_cursor: s=69ba1290c31e4818b34cc0322cfe3910;i=7f104;b=dc56000248834222958de80a9d1e6571;m=5c92107eb;t=5e5ba5626ada2;x=4d9e6e3e40dd1f8a
kernel:         5.18.13-200.fc36.x86_64
package:        gnome-shell-42.3.1-1.fc36
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Thiago dos Santos Hora 2022-08-17 14:59:22 UTC
*** Bug 2119115 has been marked as a duplicate of this bug. ***

Comment 20 Mathias Nicolajsen Kjærgaard 2022-08-25 09:26:15 UTC
*** Bug 2121367 has been marked as a duplicate of this bug. ***

Comment 21 Thiago dos Santos Hora 2022-09-09 14:17:17 UTC
*** Bug 2125652 has been marked as a duplicate of this bug. ***

Comment 22 Thiago dos Santos Hora 2022-09-15 16:56:37 UTC
*** Bug 2127201 has been marked as a duplicate of this bug. ***

Comment 23 robert fairbrother 2022-09-17 18:33:57 UTC
*** Bug 2127646 has been marked as a duplicate of this bug. ***

Comment 24 Thiago dos Santos Hora 2022-09-29 16:59:02 UTC
*** Bug 2131012 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.